/* Application Explorer - a general-purpose application cataloger/indexer
 * Copyright (C) 2006  Aliasgar Lokhandwala <d7@freepgs.com> 
 * http://appexp.sourceforge.net/
 *
 * ILoggerComponent.java: The interface that describes any swing component 
 * 	as capable of logging and displaying log messages
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package app.appexplorer.log;

/**
 * Defines a UI component as capable of logging messages. Typically components
 * like JTextArea can be used to display log messages. A top level container
 * window could also implement this interface and then pass the message on to a
 * child component.
 * 
 * @author ali
 * @version 2
 */

public interface ILoggerComponent {
    /**
     * Log the string passed as a message. The string need not be formatted
     * further, and can be directly logged.
     * 
     * @param sMessage -
     *            The string to log. Will not be null.
     */
    public void log(String sMessage);
}